import { IVehicleInterfaceComponent, IMappedQuestionGroupAnswers, VehicleFlowTypes } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
interface VehicleAnswerIdMap {
    year: string;
    make: string;
    model: string;
    configuration: string;
}
export declare class BpSdkVehicleInterface implements IVehicleInterfaceComponent {
    /**
     * Question group
     */
    questionGroup: IMappedQuestionGroupAnswers;
    /**
     * Can Save
     */
    canSave: boolean;
    /**
     * Is vehicle a trailer
     */
    isVehicleTrailer: boolean;
    useExternal: boolean;
    answerIdMap: VehicleAnswerIdMap;
    saveVehicle: EventEmitter<VehicleFlowTypes>;
    onQuestionGroupChange(): void;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
    private buildAnswerIdMap;
    private answeredBySource;
}
export {};
